<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('suppliers', function (Blueprint $table) {
            $table->text('openHours')->nullable()->after('logoFile');
            $table->text('ordersDeadline')->nullable()->after('openHours');
            $table->text('minOrderValue')->nullable()->after('ordersDeadline');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('suppliers', function (Blueprint $table) {
            $table->dropColumn('openHours');
            $table->dropColumn('ordersDeadline');
            $table->dropColumn('minOrderValue');
        });
    }
};
